Bug 194341 - [UPDATE] Proposed update for games/pingus
Summary: [UPDATE] Proposed update for games/pingus
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-13 23:38 UTC by Ben Fiedler
Modified: 2014-11-23 13:54 UTC (History)
2 users (show)

See Also:
bfiedler: maintainer-feedback? (acm)


Attachments
SVN diff for games/pingus 0.7.6 (9.52 KB, patch)
2014-10-13 23:38 UTC, Ben Fiedler
no flags Details | Diff
SVN diff for pingus 0.7.6 no PORTREVISION (9.50 KB, patch)
2014-10-31 22:20 UTC, Ben Fiedler
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Fiedler freebsd_committer 2014-10-13 23:38:01 UTC
Created attachment 148282 [details]
SVN diff for games/pingus 0.7.6

Hi,

I have patched the games/pingus port from 0.7.2 to 0.7.6 ; 

Here is a summary of the changes via 'svn status':

M       Makefile
M       distinfo
D       files/patch-SConstruct
D       files/patch-src-editor-editor__screen.hpp
A       files/patch-src-pingus-pingus_main.cpp
A       files/patch-src-pingus-screens-pingus_menu.cpp
D       files/patch-src-screenshot.cpp
D       files/patch-src-tinygettext_iconv.cpp
A       files/patch-src-util-file_reader.hpp


I e-mailed these changes to the port maintainer,  Alonso (acm) 5 weeks ago and didn't hear anything back, and I don't see an existing PR for this version.

I have attached an svn diff with my changes versus head.

The new version requires a compiler which supports the c++0x standard; for FreeBSD versions <= 9.3 , they will receive an IGNORE trying to build this port with a suggestion to install a newer version of gcc/clang from the ports tree.

I have built and installed this version on amd64 VM's 10.0 and 9.3 successfully (on 9.3 I upgraded CC and CXX to gcc4.6) and also tested it on redports with the expected results.

I also cleaned up a few things so that portlint only lists two inconsequential warnings.
Comment 1 Bugzilla Automation freebsd_committer 2014-10-13 23:38:01 UTC
Auto-assigned to maintainer acm@FreeBSD.org
Comment 2 John Marino freebsd_committer 2014-10-31 19:35:12 UTC
predictably, this timed out.

I'm moving to patch-ready but I did notice that PORTREVISION was assigned "1" for some inexplicable reason.  That line needs to be remove.
Comment 3 Ben Fiedler freebsd_committer 2014-10-31 22:20:06 UTC
Created attachment 148839 [details]
SVN diff for pingus 0.7.6 no PORTREVISION
Comment 4 Ben Fiedler freebsd_committer 2014-10-31 22:22:35 UTC
My mistake, I didn't read the porter's handbook close enough. I thought all PORTREVISIONs started at 1, not 0.

PORTREVISION has been removed; new diff attached.
Comment 5 John Marino freebsd_committer 2014-11-09 09:54:50 UTC
actually, I didn't look at this carefully when I "auto approved" this.
Now that I am looking at it, this compiler hack doesn't smell right.

Q1) Why not specify "USES+= compilers:c++0x" instead?
Q2) Better yet, why not patch it to work on c++11 ?  What is it, a tr1 problem?
Comment 6 John Marino freebsd_committer 2014-11-09 09:57:12 UTC
also when this gets sorted out, I'm going to reset the maintainership of the port to "ports@FreeBSD.org" unless you want to volunteer.
Comment 7 John Marino freebsd_committer 2014-11-19 10:01:36 UTC
I'm moving this back to triage -- we've waited 10 days for Ben's reply and are still waiting.
Comment 8 commit-hook freebsd_committer 2014-11-22 19:36:52 UTC
A commit references this bug:

Author: marino
Date: Sat Nov 22 19:36:28 UTC 2014
New revision: 373097
URL: https://svnweb.freebsd.org/changeset/ports/373097

Log:
  games/pingus: Reset maintainer, unmask install cmds while here

  PR:	194341

Changes:
  head/games/pingus/Makefile
Comment 9 John Marino freebsd_committer 2014-11-22 19:38:51 UTC
I reset the maintainer and cleaned up the port a bit.

Unfortunately, that means the patch here doesn't apply anymore, but I think it needed another submission anyway (see waiting on OP response)

I'm tired of seeing this on my list, so I'm de-CC'ing myself.
Comment 10 Dmitry Marakasov freebsd_committer 2014-11-23 13:54:12 UTC
Patch from 194711 committed + LICENSE added.